Create a schema
curl --request POST \
--url https://api.synthbrew.com/api/public/v1/projects/{projectId}/schemas \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Hospital operations",
"initialVersion": {
"schema": {
"formatVersion": 1,
"metadata": {
"name": "Hospital operations",
"description": "Synthetic hospital departments and visits."
},
"generationDefaults": {
"rowCount": 100,
"locale": "en",
"timezone": "UTC"
},
"entities": [
{
"id": "departments",
"generation": {
"rowCount": 25
},
"fields": [
{
"id": "id",
"type": "uuid"
},
{
"id": "name",
"type": "enum",
"values": [
"Cardiology",
"Obstetrics",
"Oncology"
],
"generation": {
"uniqueValues": true
}
}
],
"primaryKey": [
"id"
]
}
]
}
}
}
'import requests
url = "https://api.synthbrew.com/api/public/v1/projects/{projectId}/schemas"
payload = {
"name": "Hospital operations",
"initialVersion": { "schema": {
"formatVersion": 1,
"metadata": {
"name": "Hospital operations",
"description": "Synthetic hospital departments and visits."
},
"generationDefaults": {
"rowCount": 100,
"locale": "en",
"timezone": "UTC"
},
"entities": [
{
"id": "departments",
"generation": { "rowCount": 25 },
"fields": [
{
"id": "id",
"type": "uuid"
},
{
"id": "name",
"type": "enum",
"values": ["Cardiology", "Obstetrics", "Oncology"],
"generation": { "uniqueValues": True }
}
],
"primaryKey": ["id"]
}
]
} }
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Hospital operations',
initialVersion: {
schema: {
formatVersion: 1,
metadata: {
name: 'Hospital operations',
description: 'Synthetic hospital departments and visits.'
},
generationDefaults: {rowCount: 100, locale: 'en', timezone: 'UTC'},
entities: [
{
id: 'departments',
generation: {rowCount: 25},
fields: [
{id: 'id', type: 'uuid'},
{
id: 'name',
type: 'enum',
values: ['Cardiology', 'Obstetrics', 'Oncology'],
generation: {uniqueValues: true}
}
],
primaryKey: ['id']
}
]
}
}
})
};
fetch('https://api.synthbrew.com/api/public/v1/projects/{projectId}/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Schemas
Create Schema
POST
/
public
/
v1
/
projects
/
{projectId}
/
schemas
Create a schema
Authorizations
Team API key created under /api/api-keys. Prefix: sb_api_.
Path Parameters
Project UUID in the team associated with the API key.
Body
application/json
⌘I